Bug 125426 - libesmtp-config is missing
libesmtp-config is missing
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libesmtp (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-06-06 20:16 EDT by Robin Green
Modified: 2014-03-16 22:46 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.0.3r1-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 21:12:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robin Green 2004-06-06 20:16:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040115

Description of problem:
libesmtp-config is missing from the rpm. This is needed to get the
libesmtp patch for mutt[0] to build cleanly.

[0] http://www.deez.info/sengelha/projects/mutt/libesmtp/

Version-Release number of selected component (if applicable):
libesmtp-1.0.2-2.1

How reproducible:
Always

Steps to Reproduce:
1. rpm -ql libesmtp libesmtp-devel

Additional info:
Comment 1 Robert Scheck 2004-07-15 09:10:34 EDT
Patch for libesmtp solving this issue, please apply it. Thank you :)

--- snipp ---
--- libesmtp.spec       2004-07-13 21:55:07.000000000 +0200
+++ libesmtp.spec.rsc   2004-07-15 15:08:40.000000000 +0200
@@ -3,7 +3,7 @@
 Summary: SMTP client library.
 Name:          libesmtp
 Version:       1.0.3r1
-Release: 1
+Release: 2
 License:       LGPL
 Group: System Environment/Libraries
 Source:        http://www.stafford.uklinux.net/libesmtp/%{name}-%{version}.tar.bz2
@@ -50,7 +50,7 @@
 %install
 rm -rf $RPM_BUILD_ROOT
 make DESTDIR=$RPM_BUILD_ROOT install
-rm -f $RPM_BUILD_ROOT/%{_bindir}/libesmtp-config $RPM_BUILD_ROOT/%{_libdir}/*.la
+rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la


 %clean
@@ -68,11 +68,15 @@

 %files devel
 %defattr(-,root,root)
+%{_bindir}/libesmtp-config
 %{_prefix}/include/*
 %{_libdir}/libesmtp.so
 %{_libdir}/libesmtp.a

 %changelog
+* Thu Jul 15 2004 Robert Scheck <redhat@linuxnetz.de> 1.0.3r1-2
+- have libesmtp-config to avoid problems (#125426)
+
 * Tue Jul 13 2004 John Dennis <jdennis@redhat.com> 1.0.3r1-1
 - bring up to latest upstream release

--- snapp ---
Comment 2 Miloslav Trmač 2004-09-29 21:12:08 EDT
Fixed in libesmtp-1.0.3r1-2, which should appear in rawhide soon.

Note You need to log in before you can comment on or make changes to this bug.